Hourly Perp Flow

In the following endpoint, a whale is a trader with a trading volume (perpetual and spot combined) exceeding $100,000 in an hour.

This endpoint retrieves hourly perpetual flow of all whales and coins combined:

  • long_volume_usdc_perp: total perpetual long volume of all coins and all whales

  • short_volume_usdc_perp: total perpetual short volume of all coins and all whales

  • total_volume_usdc_perp: total perpetual volume of all coins and all whales

  • count_whales_perp: count of whales involved in the perpetual trading

  • net_flow: defined as (long_volume_usdc_perp - short_volume_usdc_perp)/ total_volume_usdc_perp

Get total hourly whale perpetual flow

get

Returns in time descending order—defaults to the last 5 records.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitinteger · min: 1 · max: 1000Optional

Number of records to return

Default: 5
start_timestampany ofOptional

Start timestamp in Unix epoch milliseconds (optional filter)

integerOptional
or
nullOptional
end_timestampany ofOptional

End timestamp in Unix epoch milliseconds (optional filter)

integerOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json
get
/v1/whale/flow/perp/1h/total

Last updated